> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Post auth



## OpenAPI

````yaml post /auth
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /auth:
    post:
      tags:
        - Auth
      operationId: AuthController_authenticate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthenticateDto'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthJwtResponse'
components:
  schemas:
    AuthenticateDto:
      type: object
      properties:
        publickey:
          type: string
        delegation:
          type: string
        timestamp:
          type: string
        signature:
          type: string
        referrer:
          type: string
      required:
        - timestamp
        - signature
    AuthJwtResponse:
      type: object
      properties:
        token:
          type: string
      required:
        - token

````